Bug 97265 - Installer crashed while create partition when doing a USB based HD install
Installer crashed while create partition when doing a USB based HD install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
NA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-12 08:41 EDT by Eddie
Modified: 2007-03-27 00:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 21:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (48.35 KB, text/plain)
2003-06-12 08:43 EDT, Eddie
no flags Details

  None (edit)
Description Eddie 2003-06-12 08:41:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 739, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/229094-i386/install//usr/lib/anaconda/text.py", line 
459, in run
  File "/usr/src/build/229094-i386/install//usr/lib/anaconda/dispatch.py", line 
157, in gotoNext
  File "/usr/src/build/229094-i386/install//usr/lib/anaconda/dispatch.py", line 
225, in moveStep
  File "/usr/src/build/229094-i386/install//usr/lib/anaconda/partitioning.py", 
line 78, in partitionMethodSetup
  File "/usr/src/build/229094-i386/install//usr/lib/anaconda/partitions.py", 
line 846, in setProtected
AttributeError: 'NoneType' object has no attribute 'setProtected'

Version-Release number of selected component (if applicable):
Installer

How reproducible:
Always

Steps to Reproduce:
1.installer  

Actual Results:  NA

Expected Results:  solved

Additional info:

NA
Comment 1 Eddie 2003-06-12 08:43:37 EDT
Created attachment 92354 [details]
anacdump.txt
Comment 2 Michael Fulbright 2003-06-12 12:39:38 EDT
It appears you were installing from ISO images on the partition /dev/sda5. 
However later in the installation it could no longer see this device, causing
the error.

What is the hardware configuration of your system?
Comment 3 Eddie 2003-06-12 21:31:38 EDT
Firstly thank you very much!
My Hardware info is:
Laptop: DELL 2650/P41.7G/256DDR/8MG2Go/20GIDE

Installation process:
1. Download iso1,2,3 and stored them into my USB MASS Storage(IBM 30G HD) 
folder: linux;
2. Boot from Partition2(FAT32) and run AUTOBOOT.bat to start installing RH;
3. in Media select step, choose /dev/sda5 (that's my usb's first logic 
partition); and input directory name: linux
4. It seems that installer recorgnized the usb driver(by log file), and while 
run Partition Tool , system crashed and display an unexpected error...

Comment 4 Michael Fulbright 2003-06-20 12:13:11 EDT
We will have to see if we have the equipment to reproduce this problem - you
might find it better to burn the ISOs onto CDs and try to install that way.
Comment 5 Jeremy Katz 2003-07-24 19:07:58 EDT
Does your system have scsi hard drives?
Comment 6 Jeremy Katz 2003-10-15 21:01:58 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report
Comment 7 Mark 2005-04-20 09:20:01 EDT
I have this same problem, trying to install via "hard disk" method with ISOs on
an Iomega 80GB HDD usb drive.  The install program can access the drive at
first, then I get the error as above.

Note You need to log in before you can comment on or make changes to this bug.